ask_camel / Ask Camel

ask_camel

Ask Camel

Ask Camel a question: Provide exactly one of `source_id` (an existing connection ID) or `thread_id` (an existing thread ID).

POST /api/v1/ask_camel

Headers

Authorizationrequired

any - API key authentication using Bearer scheme

Request Body

model

enum<string>: sonnet-4, sonnet-4.5, haiku-4.5, o3, o4-mini, gpt-4.1, gpt-5, gpt-5-codex - The model to use for the query * `sonnet-4` - Sonnet 4 * `sonnet-4.5` - Sonnet 4.5 * `haiku-4.5` - Haiku 4.5 * `o3` - o3 * `o4-mini` - o4-mini * `gpt-4.1` - GPT-4.1 * `gpt-5` - GPT-5 * `gpt-5-codex` - GPT-5 Codex

messagerequired

string - The message to send to Camel

thread_id

integer - Existing thread ID to use

source_id

integer - Existing connection ID to use

Response

messagerequired

any - The response message from Camel